# Big Tip

[![Package](https://img.shields.io/pub/v/big_tip.svg?style=for-the-badge)](https://pub.dartlang.org/packages/big_tip)
[![License](https://img.shields.io/github/license/jesusrp98/big_tip.svg?style=for-the-badge)](https://www.gnu.org/licenses/gpl-3.0.en.html)
[![Patreon](https://img.shields.io/badge/Support-Patreon-orange.svg?style=for-the-badge)](https://www.patreon.com/jesusrp98)
[![Stars](https://img.shields.io/github/stars/jesusrp98/big_tip.svg?style=for-the-badge)](https://github.com/jesusrp98/big_tip/stargazers)

Display tips to your users using a custom icon and some text down below.

This package aims to provide you a simple way to communicate information to the user, using a simple icon and a text message. You can also customize color, size and text style.

<p align="center">
  <img src="https://raw.githubusercontent.com/jesusrp98/big_tip/master/screenshots/0.png" width="256">
</p>

## Example

If you want to take a deeper look at the example, take a look at the [example](https://github.com/jesusrp98/big_tip/tree/master/example) folder provided with the project.

```
BigTip(
  icon: Icons.cake,
  message: 'The cake is a lie',
  messageStyle: TextStyle(
    fontSize: 27,
    fontStyle: FontStyle.italic,
  ),
),
```

## Getting Started

This project is a starting point for a Dart [package](https://flutter.io/developing-packages/), a library module containing code that can be shared easily across multiple Flutter or Dart projects.

For help getting started with Flutter, view our [online documentation](https://flutter.io/docs), which offers tutorials, samples, guidance on mobile development, and a full API reference.

## Built with

- [Flutter](https://flutter.dev/) - Beautiful native apps in record time.
- [Android Studio](https://developer.android.com/studio/index.html/) - Tools for building apps on every type of Android device.
- [Visual Studio Code](https://code.visualstudio.com/) - Code editing. Redefined.

## Authors

- **Jesús Rodríguez** - you can find me on [GitHub](https://github.com/jesusrp98), [Twitter](https://twitter.com/jesusrp98) & [Reddit](https://www.reddit.com/user/jesusrp98).

## License

This project is licensed under the GNU GPL v3 License - see the [LICENSE.md](LICENSE.md) file for details.
